Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvssocket

## Specification of methods

### read Function Description

Form
  long read(WSCuchar* buffer,long size)
Function
  Read data from a connected socket in the event procedure initiated by the ACTIVATE event
Description
Parameters

  (in)WSCuchar* buffer | Data reading buffer
  (in)long len | Data reading buffer length

Return value
  Reading data length (bytes)
Notice
  When it is used in other than the procedure started by the ACTIVATE event, it results in an error because it has not established a connection.
Samples

        char buffer[128];
        long ret = newvsso_000->read(buffer,128);

  ### write Function Description

  Form
    long write(WSCuchar* buffer,long size)
  Function
    Write data to a connected socket in the event procedure starting by the ACTIVATE event
  Description
  Parameters

    (in)WSCuchar* buffer | Writing data buffer
    (in)long len | Writing data buffer length

  Return value
    Written data length (bytes)
  Notice
    When it is used in other than the procedure started by the ACTIVATE event, it results in an error because it has not established a connection.
  Samples

          char buffer[128];
          strcpy(buffer,"send data...");
          long ret = newvsso_000->write(buffer,128);

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004